npm

Severity: moderate

Directory Traversal

serve

Overview

Affected versions of serve do not properly handle %2e (.) and %2f (/) characters, and allow the, characters to be used in paths. This can be used to traverse the directory tree and list content of any directory the user running the process has access to.

Mitigating factors: This vulnerability only allows listing of directory contents and does not allow reading of arbitrary files.

Remediation

Update to version 6.4.9 later.

Have content suggestions? Send them to [email protected]

Advisory timeline

  1. published

    Advisory published
    Jan 23rd, 2018
  2. reported

    Initial report by bl4de
    Jan 23rd, 2018